
NC_coding <- read.csv("NWB_coding_Linguistics.txt", sep = "\t", header = TRUE, na.strings = c("?", "not applicable"))

# getting relevant languages only
# removing Shiwa as it doesn't fit our typology
NC_coding2 <- NC_coding[NC_coding$id != "shiw1234",]

# remove 'no data'
NC_coding5 <- NC_coding2[NC_coding2$DG_V_type != "5",]

##################################### getting number counts

# making counts
# making sure the colums are factors
for(i in 1:75){
  NC_coding5[,i] <- as.factor(NC_coding5[,i])}

#make levels/coding numerical
levels(NC_coding5$Gender_on_Attr_Adj)[levels(NC_coding5$Gender_on_Attr_Adj)=="yes"] <- 1
levels(NC_coding5$Gender_on_Attr_Adj)[levels(NC_coding5$Gender_on_Attr_Adj)=="no"] <- 0
levels(NC_coding5$Gender_on_Dem)[levels(NC_coding5$Gender_on_Dem)=="yes"] <- 1
levels(NC_coding5$Gender_on_Dem)[levels(NC_coding5$Gender_on_Dem)=="no"] <- 0
levels(NC_coding5$Gender_on_Num)[levels(NC_coding5$Gender_on_Num)=="yes"] <- 1
levels(NC_coding5$Gender_on_Num)[levels(NC_coding5$Gender_on_Num)=="no"] <- 0
levels(NC_coding5$Gender_on_Quant)[levels(NC_coding5$Gender_on_Quant)=="yes"] <- 1
levels(NC_coding5$Gender_on_Quant)[levels(NC_coding5$Gender_on_Quant)=="no"] <- 0
levels(NC_coding5$Gender_on_Poss)[levels(NC_coding5$Gender_on_Poss)=="yes"] <- 1
levels(NC_coding5$Gender_on_Poss)[levels(NC_coding5$Gender_on_Poss)=="no"] <- 0
levels(NC_coding5$Gender_on_Wh_Words)[levels(NC_coding5$Gender_on_Wh_Words)=="yes"] <- 1
levels(NC_coding5$Gender_on_Wh_Words)[levels(NC_coding5$Gender_on_Wh_Words)=="no"] <- 0
levels(NC_coding5$Gender_on_V)[levels(NC_coding5$Gender_on_V)=="yes"] <- 1
levels(NC_coding5$Gender_on_V)[levels(NC_coding5$Gender_on_V)=="no"] <- 0
levels(NC_coding5$Gender_on_Pred_Adj)[levels(NC_coding5$Gender_on_Pred_Adj)=="yes"] <- 1
levels(NC_coding5$Gender_on_Pred_Adj)[levels(NC_coding5$Gender_on_Pred_Adj)=="no"] <- 0
levels(NC_coding5$Gender_on_Cop)[levels(NC_coding5$Gender_on_Cop)=="yes"] <- 1
levels(NC_coding5$Gender_on_Cop)[levels(NC_coding5$Gender_on_Cop)=="no"] <- 0
levels(NC_coding5$Sbj_Agr)[levels(NC_coding5$Sbj_Agr)=="yes"] <- 1
levels(NC_coding5$Sbj_Agr)[levels(NC_coding5$Sbj_Agr)=="no"] <- 0
levels(NC_coding5$Obj_Agr)[levels(NC_coding5$Obj_Agr)=="yes"] <- 1
levels(NC_coding5$Obj_Agr)[levels(NC_coding5$Obj_Agr)=="no"] <- 0
levels(NC_coding5$Ind_Obj_Agr)[levels(NC_coding5$Ind_Obj_Agr)=="yes"] <- 1
levels(NC_coding5$Ind_Obj_Agr)[levels(NC_coding5$Ind_Obj_Agr)=="no"] <- 0
levels(NC_coding5$Other_Arg_Agr)[levels(NC_coding5$Other_Arg_Agr)=="no"] <- 0
levels(NC_coding5$Gender_on_Rel)[levels(NC_coding5$Gender_on_Rel)=="yes"] <- 1
levels(NC_coding5$Gender_on_Rel)[levels(NC_coding5$Gender_on_Rel)=="no"] <- 0
levels(NC_coding5$Gender_on_Ind_Pers_Pro)[levels(NC_coding5$Gender_on_Ind_Pers_Pro)=="yes"] <- 1
levels(NC_coding5$Gender_on_Ind_Pers_Pro)[levels(NC_coding5$Gender_on_Ind_Pers_Pro)=="no"] <- 0
levels(NC_coding5$Gender_on_Poss_Pro)[levels(NC_coding5$Gender_on_Poss_Pro)=="yes"] <- 1
levels(NC_coding5$Gender_on_Poss_Pro)[levels(NC_coding5$Gender_on_Poss_Pro)=="no"] <- 0
levels(NC_coding5$Gender_on_Dem_Pro)[levels(NC_coding5$Gender_on_Dem_Pro)=="yes"] <- 1
levels(NC_coding5$Gender_on_Dem_Pro)[levels(NC_coding5$Gender_on_Dem_Pro)=="no"] <- 0
levels(NC_coding5$Gender_on_Refl_Pro)[levels(NC_coding5$Gender_on_Refl_Pro)=="yes"] <- 1
levels(NC_coding5$Gender_on_Refl_Pro)[levels(NC_coding5$Gender_on_Refl_Pro)=="no"] <- 0
levels(NC_coding5$Gender_on_Other)[levels(NC_coding5$Gender_on_Other)=="yes"] <- 1
levels(NC_coding5$Gender_on_Other)[levels(NC_coding5$Gender_on_Other)=="no"] <- 0

levels(NC_coding5$AC_on_Attr_Adj)[levels(NC_coding5$AC_on_Attr_Adj)=="yes"] <- 1
levels(NC_coding5$AC_on_Attr_Adj)[levels(NC_coding5$AC_on_Attr_Adj)=="no"] <- 0
levels(NC_coding5$AC_on_Dem)[levels(NC_coding5$AC_on_Dem)=="yes"] <- 1
levels(NC_coding5$AC_on_Dem)[levels(NC_coding5$AC_on_Dem)=="no"] <- 0
levels(NC_coding5$AC_on_Num)[levels(NC_coding5$AC_on_Num)=="yes"] <- 1
levels(NC_coding5$AC_on_Num)[levels(NC_coding5$AC_on_Num)=="no"] <- 0
levels(NC_coding5$AC_on_Quant)[levels(NC_coding5$AC_on_Quant)=="yes"] <- 1
levels(NC_coding5$AC_on_Quant)[levels(NC_coding5$AC_on_Quant)=="no"] <- 0
levels(NC_coding5$AC_on_Poss)[levels(NC_coding5$AC_on_Poss)=="yes"] <- 1
levels(NC_coding5$AC_on_Poss)[levels(NC_coding5$AC_on_Poss)=="no"] <- 0
levels(NC_coding5$AC_on_Wh_words)[levels(NC_coding5$AC_on_Wh_words)=="yes"] <- 1
levels(NC_coding5$AC_on_Wh_words)[levels(NC_coding5$AC_on_Wh_words)=="no"] <- 0
levels(NC_coding5$AC_on_V)[levels(NC_coding5$AC_on_V)=="yes"] <- 1
levels(NC_coding5$AC_on_V)[levels(NC_coding5$AC_on_V)=="no"] <- 0
levels(NC_coding5$AC_on_Pred_Adj)[levels(NC_coding5$AC_on_Pred_Adj)=="yes"] <- 1
levels(NC_coding5$AC_on_Pred_Adj)[levels(NC_coding5$AC_on_Pred_Adj)=="no"] <- 0
levels(NC_coding5$AC_on_Cop)[levels(NC_coding5$AC_on_Cop)=="yes"] <- 1
levels(NC_coding5$AC_on_Cop)[levels(NC_coding5$AC_on_Cop)=="no"] <- 0
levels(NC_coding5$AC_Sbj_Agr)[levels(NC_coding5$AC_Sbj_Agr)=="yes"] <- 1
levels(NC_coding5$AC_Sbj_Agr)[levels(NC_coding5$AC_Sbj_Agr)=="no"] <- 0
levels(NC_coding5$AC_Obj_Agr)[levels(NC_coding5$AC_Obj_Agr)=="yes"] <- 1
levels(NC_coding5$AC_Obj_Agr)[levels(NC_coding5$AC_Obj_Agr)=="no"] <- 0
levels(NC_coding5$AC_Ind_Obj_Agr)[levels(NC_coding5$AC_Ind_Obj_Agr)=="yes"] <- 1
levels(NC_coding5$AC_Ind_Obj_Agr)[levels(NC_coding5$AC_Ind_Obj_Agr)=="no"] <- 0
levels(NC_coding5$AC_Other_Agr)[levels(NC_coding5$AC_Other_Agr)=="no"] <- 0
levels(NC_coding5$AC_on_Rel)[levels(NC_coding5$AC_on_Rel)=="yes"] <- 1
levels(NC_coding5$AC_on_Rel)[levels(NC_coding5$AC_on_Rel)=="no"] <- 0
levels(NC_coding5$AC_on_Pers_Pro)[levels(NC_coding5$AC_on_Pers_Pro)=="yes"] <- 1
levels(NC_coding5$AC_on_Pers_Pro)[levels(NC_coding5$AC_on_Pers_Pro)=="no"] <- 0
levels(NC_coding5$AC_on_Poss_Pro)[levels(NC_coding5$AC_on_Poss_Pro)=="yes"] <- 1
levels(NC_coding5$AC_on_Poss_Pro)[levels(NC_coding5$AC_on_Poss_Pro)=="no"] <- 0
levels(NC_coding5$AC_on_Dem_Pro)[levels(NC_coding5$AC_on_Dem_Pro)=="yes"] <- 1
levels(NC_coding5$AC_on_Dem_Pro)[levels(NC_coding5$AC_on_Dem_Pro)=="no"] <- 0
levels(NC_coding5$AC_on_Refl_Pro)[levels(NC_coding5$AC_on_Refl_Pro)=="yes"] <- 1
levels(NC_coding5$AC_on_Refl_Pro)[levels(NC_coding5$AC_on_Refl_Pro)=="no"] <- 0
levels(NC_coding5$AC_on_Other)[levels(NC_coding5$AC_on_Other)=="yes"] <- 1
levels(NC_coding5$AC_on_Other)[levels(NC_coding5$AC_on_Other)=="no"] <- 0

#decisions made on targets for this plot:
# syntactic agreement: we leave out Sbj_Agr; Obj_Agr; Ind_Obj_Agr; Other_Arg_Agr
# animacy-based agreement: we leave out AC_on_V; AC_Ind_Obj_Agr,AC_Other_Ag and keep AC_Sbj_Agr & AC_Obj_Agr because unlike 
# for gender, there are some langs that have AC ob Obj but not Sbj

for(i in 1:nrow(NC_coding5)){
  NC_coding5$gender_count[i] <- sum(c(as.numeric(as.character(NC_coding5$Gender_on_Attr_Adj[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Dem[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Num[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Quant[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Poss[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Wh_Words[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_V[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Pred_Adj[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Cop[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Rel[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Ind_Pers_Pro[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Poss_Pro[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Dem_Pro[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Refl_Pro[i])),
                                      as.numeric(as.character(NC_coding5$Gender_on_Other[i]))), na.rm = T)
} # a warning message "NAs introduced by coercion" appears that one can ignnore

for(i in 1:nrow(NC_coding5)){
  NC_coding5$AC_count[i] <- sum(c(as.numeric(as.character(NC_coding5$AC_on_Attr_Adj[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Dem[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Num[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Quant[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Poss[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Wh_words[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Pred_Adj[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Cop[i])),
                                  as.numeric(as.character(NC_coding5$AC_Sbj_Agr[i])),
                                  as.numeric(as.character(NC_coding5$AC_Obj_Agr[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Rel[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Pers_Pro[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Poss_Pro[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Dem_Pro[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Refl_Pro[i])),
                                  as.numeric(as.character(NC_coding5$AC_on_Other[i]))), na.rm = T)
} # a warning message "NAs introduced by coercion" appears that one can ignnore

#checks
table(NC_coding5$DG_V_type, NC_coding5$gender_count)
table(NC_coding5$DG_V_type, NC_coding5$AC_count)

######### PLOT

pdf(file = "counts_plot.pdf", width = 6, height = 6)
plot(jitter(as.numeric(as.character(NC_coding5$gender_count)), factor = 2), jitter(as.numeric(as.character(NC_coding5$AC_count)), factor = 2), 
     xlab = "no. targets syntactic agreement", ylab = "no. targets animacy-based agreement", 
     col=c('black', 'blue', 'darkorange','green')[as.numeric(NC_coding5$DG_V_type)], ylim = c(0,16), xlim=c(0,15))
legend("topleft", legend = c("syntactic agreement only", 
                             "syntactic and animacy-based agreement", 
                             "animacy-based agreement only", "no gender"), 
       fill = c('black', 'blue', 'darkorange','green'), cex = 0.8)
dev.off()

#annotating the plot with language labels was done manually


